C# Class SketchUpForGrasshopper.Geometry

显示文件 Open project: moethu/SketchUpNET

Public Methods

Method Description
InnerLoops ( this v, Transform t = null ) : List
ToRhinoGeo ( this v, Transform t = null ) : Rhino.Geometry.Brep
ToRhinoGeo ( this v, Transform t ) : Rhino.Geometry.Line
ToRhinoGeo ( this v, Transform t ) : Rhino.Geometry.Point3d
ToRhinoGeo ( this v ) : Rhino.Geometry.Vector3d

Method Details

InnerLoops() public static method

public static InnerLoops ( this v, Transform t = null ) : List
v this
t Transform
return List

ToRhinoGeo() public static method

public static ToRhinoGeo ( this v, Transform t = null ) : Rhino.Geometry.Brep
v this
t Transform
return Rhino.Geometry.Brep

ToRhinoGeo() public static method

public static ToRhinoGeo ( this v, Transform t ) : Rhino.Geometry.Line
v this
t Transform
return Rhino.Geometry.Line

ToRhinoGeo() public static method

public static ToRhinoGeo ( this v, Transform t ) : Rhino.Geometry.Point3d
v this
t Transform
return Rhino.Geometry.Point3d

ToRhinoGeo() public static method

public static ToRhinoGeo ( this v ) : Rhino.Geometry.Vector3d
v this
return Rhino.Geometry.Vector3d